(use-translation _ "alterator-x11")
(define drivers (sort (woo-read-names "/video_cards/drivers" (woo-list "/video_cards/drivers")) string<?))

(define (current-driver) (or (list-index (lambda (x) (string=? (global 'selected_driver) x)) drivers) -1))

(on-prev (goto (global 'self)
		    'saved_depth (global 'saved_depth)
		    'saved_resolution (global 'saved_resolution)))
(on-next (apply-card))

(define (apply-card)
  (list
    (woo-write "/xconf/data" 'card (cards text))
    (goto (global 'self)
	       'saved_depth (global 'saved_depth)
	       'x11test (global 'x11test)
	       'saved_resolution (global 'saved_resolution))))
(groupbox (_"Choose driver for your card:")
    (vbox spacing 0 (hbox
      (id 'cards (listbox (items drivers)
			  current (current-driver)
			  )))))
